# Exchange-provided metrics

## What is this dataset for?

Data from Derivatives Risk Indicators, with the data for risk and price.&#x20;

### File Structure Details

* File Name: \[kaiko\_exchange\_code]\_\[instrument\_symbol]\_derivatives\_full\_\[date].csv<br>
  * Files are created on a daily basis.
  * example: bbit\_xrpusdt\_derivatives\_full\_2023\_05\_30.csv
* Cut-off time: `00:00:00 UTC`
  * A file contains the minutely data from the mid-night (`00:00:00`) to the 1 mintue before the mid-night (`23:59:00`).
* Column Delimeter: , (comma)
* Decimal Mark (in numbers): . (dot)

### Fields: Perpetual-Future

| Column                   | Description                                                                                                                                               | Example      |
| ------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| `timestamp`              | The starting timestamp of the time interval, expressed in Unix Timestamp (in seconds)                                                                     | `1736121600` |
| `24h_volume`             | The volume of the trades executed in the last 24 hours (can be in base\_asset, quote\_asset or the number of contracts)                                   | `1849370`    |
| `open_interest`          | The total outstanding number of contracts (units in which open interest metrics are quoted vary by exchange)                                              | `18.154`     |
| `ask`                    | The price of the best ask within one minute interval                                                                                                      | `0.4941`     |
| `bid`                    | The price of the best bid within one minute interval                                                                                                      | `0.4940`     |
| `ask_amount`             | The amount of the best ask, associated with the best ask price.                                                                                           | `8.2`        |
| `bid_amount`             | The amount of the best bid, associated with the best bid price.                                                                                           | `4.4`        |
| `funding_rate`           | `perpetual-future` only. The current funding rate.                                                                                                        | `0.00020546` |
| `mark_price`             | The mark price of the contract. It is used for calculating profit and loss (PnL) and liquidation price. Designed to be fair and avoid price manipulation. | `39713.5`    |
| `predicted_funding_rate` | `perpetual-future` only. The predicted funding rate for the next period.                                                                                  | `0.00010447` |
| `price`                  | Most recent traded price of derivative contract                                                                                                           | `39767`      |
| `index_price`            | The price of the underlying index, often as a weighted average across multiple exchanges' spot prices                                                     | `39745.9`    |

### Fields: Future<br>

| Column                   | Description                                                                                                                                               | Example                          |
| ------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |
| `timestamp`              | The starting timestamp of the time interval, expressed in Unix Timestamp (in seconds)                                                                     | `1685405460`                     |
| `24h_volume`             | The volume of the trades executed in the last 24 hours (can be in base\_asset, quote\_asset or the number of contracts)                                   | `1849370`                        |
| `ask`                    | The price of the best ask within one minute interval                                                                                                      | `0.4941`                         |
| `bid`                    | The price of the best bid within one minute interval                                                                                                      | `0.4940`                         |
| `funding_rate`           | `perpetual-future` only. The current funding rate.                                                                                                        | `0.00020546`                     |
| `mark_price`             | The mark price of the contract. It is used for calculating profit and loss (PnL) and liquidation price. Designed to be fair and avoid price manipulation. | `39713.5`                        |
| `predicted_funding_rate` | `perpetual-future` only. The predicted funding rate for the next period.                                                                                  | `0.00010447`                     |
| `price`                  | Most recent traded price of derivative contract                                                                                                           | `39767`                          |
| `index_price`            | The price of the underlying index, often as a weighted average across multiple exchanges' spot prices                                                     | `39745.9`                        |
| `settlement_price`       | Settlement price calculated at the end of the trading day for the contract.                                                                               | `106610`                         |
| `settlement_timestamp`   | Time of calculated settlement price                                                                                                                       | `2025-01-06T22:37:40.863147599Z` |

### Fields: Option

| Column                   | Description                                                                                                                                               | Example                          |
| ------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------- |
| `timestamp`              | The starting timestamp of the time interval, expressed in Unix Timestamp (in seconds)                                                                     | `1736121600`                     |
| `ask_iv`                 | Implied volatility for the best ask.                                                                                                                      | `51.08`                          |
| `bid_iv`                 | Implied volatility for the best bid.                                                                                                                      | `48.73`                          |
| `mark_iv`                | The implied volatility for the mark price.                                                                                                                | `50.03`                          |
| `expiry`                 | Expiration date of the contract                                                                                                                           | `1736467200000000000`            |
| `strike_price`           | The strike price of the contract in USD                                                                                                                   | `100000`                         |
| `24h_volume`             | The volume of the trades executed in the last 24 hours (can be in base\_asset, quote\_asset or the number of contracts)                                   | `1849370`                        |
| `ask`                    | The price of the best ask within one minute interval                                                                                                      | `0.4941`                         |
| `bid`                    | The price of the best bid within one minute interval                                                                                                      | `0.4940`                         |
| `ask_amount`             | The amount of the best ask, associated with the best ask price.                                                                                           | `50.6`                           |
| `bid_amount`             | The amount of the best bid, associated with the best bid price.                                                                                           | `41.9`                           |
| `funding_rate`           | `perpetual-future` only. The current funding rate.                                                                                                        | `0.00020546`                     |
| `mark_price`             | The mark price of the contract. It is used for calculating profit and loss (PnL) and liquidation price. Designed to be fair and avoid price manipulation. | `39713.5`                        |
| `predicted_funding_rate` | `perpetual-future` only. The predicted funding rate for the next period.                                                                                  | `0.00010447`                     |
| `price`                  | Most recent traded price of derivative contract                                                                                                           | `39767`                          |
| `index_price`            | The price of the underlying index, often as a weighted average across multiple exchanges' spot prices                                                     | `39745.9`                        |
| `delta`                  | The delta value for the option.                                                                                                                           | `0.41797`                        |
| `gamma`                  | The gamma value for the option.                                                                                                                           | `0.00007`                        |
| `rho`                    | The rho value for the option.                                                                                                                             | `4.7103`                         |
| `theta`                  | The theta value for the option.                                                                                                                           | `-242.50719`                     |
| `vega`                   | The vega value for the option.                                                                                                                            | `42.00295`                       |
| `underlying_index`       | Name of the underlying asset                                                                                                                              | `BTC-10JAN25`                    |
| `settlement_price`       | Settlement price calculated at the end of the trading day for the contract.                                                                               | `24.5`                           |
| `settlement_timestamp`   | Time of calculated settlement price                                                                                                                       | `2025-01-06T22:37:14.785498411Z` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/cloud-delivery/analytics-solutions/derivatives-risk-indicators/exchange-provided-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
